function [eigen_vec eigen_val] = eig_matrix(tensor)
%returns the eigen vectors and eigen values of a 3x3xpxqxw matrix system
[m n p q w] = size(tensor);

if m~=3 || n~=3
    error('Matrix needs to to be on the format 3x3xpxqxw where p,q,w can be equal to 1')
end

eigen_vec = zeros(3,3,p,q,w);
eigen_val = zeros(3,3,p,q,w);
for x=1:p
    for y=1:q
        for z=1:w
            M = squeeze(tensor(:,:,x,y,z));
            [V D] = eig(M);
            eigen_vec(:,:,x,y,z) = V;
            eigen_val(:,:,x,y,z) = D;            
        end
    end
end
