function [AXR_eigval, SIGMA_eigval, rsquare, SE_AXR, SE_SIGMA] = fit_eigenval(ADCm_eigval, ADC_eigval, tm, ROI)
%Use ADCm_eigval and ADC_eigval with values around one - usually
%[mm^2/s]*1e3
%tm in in seconds
%AXR is given in [s^(-1)]

[~, ~, n, m, p] = size(ADCm_eigval);

AXR_eigval = zeros(3,3,n,m);
SIGMA_eigval = zeros(3,3,n,m);
rsquare = zeros(3,3,n,m);
SE_AXR = zeros(3,3,n,m);
SE_SIGMA = zeros(3,3,n,m);

max_count = sprintf('%i',n*m);
count = 1;
for x = 1:n
    for y = 1:m
        %ads preceeding zeros to make the current number 4 digits long
        count_s = sprintf('%04i',count);
        %deletes the last current number of 4 digits(4 x \b) and prints the new 
        fprintf('\rFitting %s of %s',count_s,max_count)
        count = count +1;
        if ROI(x,y) == 1    
            for i = 1:3
                [cf gof] = adcmfit_2(tm,squeeze(ADCm_eigval(i,i,x,y,:)),ADC_eigval(i,i,x,y));
                AXR_eigval(i,i,x,y) = cf.AXR;
                SIGMA_eigval(i,i,x,y) = cf.sigma;
                rsquare(i,i,x,y) = gof.rsquare;
                tmp = confint(cf);
                SE_AXR(i,i,x,y) = (tmp(2,1) - tmp(1,1))/3.92;
                SE_SIGMA(i,i,x,y) = (tmp(2,2) - tmp(1,2))/3.92;
            end
        else
            AXR_eigval(:,:,x,y) = 0;
            SIGMA_eigval(:,:,x,y) = 0;
            rsquare(:,:,x,y) = 0;
        end        
    end
end
fprintf(' DONE! \n')